"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.origin = exports.websocketResponseTimeout = exports.socketIoHeaders = exports.endpoint = void 0;
exports.endpoint = 'wss://scrapbox.io/socket.io/?EIO=4&transport=websocket';
exports.socketIoHeaders = {
    initialize: '0',
    ping: '2',
    pong: '3',
    connected: '40',
    // e.g.
    //   * 42: 'cursor'
    //   * 42X: user custom request (X is arbitrary natural number to specify response)
    send: '42',
    // e.g.
    //   * 43X: response to user custom request (X is number used for request)
    receive: '43',
};
exports.websocketResponseTimeout = 1000 * 30;
// NOTE: websocket requires origin header
exports.origin = 'https://scrapbox.io';
//# sourceMappingURL=constants.js.map