export declare const getScrapboxWebsocketAuthOptions: (token: string) => {
    readonly headers: {
        readonly Origin: "https://scrapbox.io";
        readonly Cookie: `connect.sid=${string}`;
    };
};
declare type Options = ReturnType<typeof getScrapboxWebsocketAuthOptions>;
export declare const getDefaultWebsocket: (options: Options) => WebSocket;
export declare type Websocket = ReturnType<typeof getDefaultWebsocket>;
export {};
